import React, {CSSProperties} from "react";
import Services from "../../Services";
import "./style.css";

const Box4 = (props: any) => (
    <div className={"sl-box4"}>
        <div className={"sl-loader"} style={{
            "--size": Services.getZoom(props.size || 100)
        } as CSSProperties}>
            <div className={"sl-loader-items"}>
                {
                    [...Array(5)].map((item, index) => (
                        <div key={index} className={"sl-rectangular"} style={{
                            "--i": ++index,
                            "--bg": props.bgColor || "#FFFFFF"
                        } as CSSProperties}></div>
                    ))
                }
            </div>
        </div>
        {
            (props.title !== undefined) ? (
                <div className={"sl-loader-title"} style={{
                    "--cl": props.color || "#FFFFFF"
                } as CSSProperties}>
                    <span>{props.title}</span>
                </div>
            ) : (
                null
            )
        }
    </div>
);

export default Box4;