import React, {CSSProperties} from "react";
import Services from "../../Services";
import "./style.css";

const Box6 = (props: any) => (
    <div className={"sl-box6"}>
        <div className={"sl-loader"} style={{
            "--size": Services.getZoom(props.size || 100)
        } as CSSProperties}>
            <div className={"sl-loader-items"}>
                {
                    [...Array(5).keys()].map(item => {
                        return (
                            <div key={item} className={"sl-item"} style={{
                                "--i": item,
                                "--shadow": props.bgColor || "#FFFFFF",
                                "--bga": Services.rgbToPart(props.bgColor, "80") || "#FFFFFF80",
                                "--bg": props.bgColor || "#FFFFFF"
                            } as CSSProperties}></div>
                        )
                    })
                }
            </div>
        </div>
        {
            (props.title !== undefined) ? (
                <div className={"sl-loader-title"} style={{
                    "--cl": props.color || "#FFFFFF"
                } as CSSProperties}>
                    <span>{props.title}</span>
                </div>
            ) : (
                null
            )
        }
    </div>
);

export default Box6;