import React, {CSSProperties} from "react";
import Services from "../../Services";
import "./style.css";

const Bubble1 = (props: any) => (
    <div className={"sl-bubble1"}>
        <div className={"sl-loader"} style={{
            "--size": Services.getZoom(props.size || 100)
        } as CSSProperties}>
            <div className={"sl-loader-items"}>
                {
                    [...Array(3).keys()].map((item, index) => (
                        <div className={"sl-bubble"} key={index} style={{
                            "--i": ++index,
                            "--bg": props.bgColor || "#FFFFFF"
                        } as CSSProperties}></div>
                    ))
                }
            </div>
        </div>
        {
            (props.title !== undefined) ? (
                <div className={"sl-loader-title"} style={{
                    "--cl": props.color || "#FFFFFF"
                } as CSSProperties}>
                    <span>{props.title}</span>
                </div>
            ) : (
                null
            )
        }
    </div>
);

export default Bubble1;