import React, {CSSProperties} from "react";
import Services from "../Services";
import "./style.css";

const Hourglass = (props: any) => (
    <div className={"sl-hourglass"}>
        <div className="sl-hourglass-loader-items" style={{
            "--size": Services.getZoom(props.size || 100)
        } as CSSProperties}>
            <div className="sl-hourglass-item" style={{
                "--bg": props.bgColor || "#FFFFFF"
            } as CSSProperties}></div>
        </div>
        {
            (props.title !== undefined) ? (
                <div className={"sl-hourglass-loader-title"} style={{
                    "--cl": props.color || "#FFFFFF"
                } as CSSProperties}>
                    <span>{props.title}</span>
                </div>
            ) : (
                null
            )
        }
    </div>
);

export default Hourglass;